<?php


namespace App\ViewModels\CentroCusto\CentroCustoUpdateViewModel;


use App\Utils\Entity;

class CentroCustoUpdateViewModel extends Entity
{
    protected $descricao;
    protected $atualizado_em;
    protected $alterado_por;

    public static function builder() : CentroCustoUpdateViewModelBuilder
    {
        $centro_custo_details_vm_builder = new CentroCustoUpdateViewModelBuilder();
        return $centro_custo_details_vm_builder;
    }

    /**
     * @return mixed
     */
    public function getDescricao()
    {
        return $this->descricao;
    }

    /**
     * @param mixed $descricao
     */
    public function setDescricao($descricao): void
    {
        $this->descricao = $descricao;
    }

    /**
     * @return mixed
     */
    public function getAtualizadoEm()
    {
        return $this->atualizado_em;
    }

    /**
     * @param mixed $atualizado_em
     */
    public function setAtualizadoEm($atualizado_em): void
    {
        $this->atualizado_em = $atualizado_em;
    }

    /**
     * @return mixed
     */
    public function getAlteradoPor()
    {
        return $this->alterado_por;
    }

    /**
     * @param mixed $alterado_por
     */
    public function setAlteradoPor($alterado_por): void
    {
        $this->alterado_por = $alterado_por;
    }

}